Error - Can't update the version 2.003 of firmware


#1

Receiving error message …

“The updater can’t update the version 2.003 of firmware currently on your MyBook Essentials. Olease contact customer support”

Solution?


#2

Problem solved.

(Chastises self : Bl00dy idiot … mumble mumble … shouldn’t be allowed near a computer … mumble mumble … wrong firmware update, wasn’t it!! … DOH!!)